jQuery(document).ready(function() {
	// JSON settings array
"use strict";
var json_str, opt, width, calc_width;
    json_str = j_options.j_options.replace( /&quot;/g, '"' );
	opt = jQuery.parseJSON(json_str);
	//Width parameter treatment
	width = jQuery(window).width();
	if (opt.window_unit === '%') {
		calc_width = opt.open_width;
	}else if (opt.window_unit === 'px') {
		calc_width = opt.open_width * 100 / width;
	}
	// Set the height
	jQuery('#tab_slide').css('height', opt.open_height + opt.window_unit);
	// Set top
	jQuery('#tab_slide').css('top', opt.open_top + opt.window_unit);
	
	// Generate the content div
	jQuery('#tab_slide').append("<div id='tab_slide_content' style='position:relative; float:right; z-index:1001; overflow:show; height:" + opt.open_height + opt.window_unit + "; width:" + opt.open_width + opt.window_unit + ";'></div>");
	
	jQuery('#tab_slide').css('top', opt.open_top + '%');
	
	// Set the content URL
	jQuery('#tab_slide_content').load(opt.window_url);
	
	// Generate the background div
	jQuery('#tab_slide').append("<div id='tab_slide_background' style='position:absolute; width:100%; height:100%; z-index:10;'></div>");
	
	// Set the opacity
	jQuery('#tab_slide_background').css("opacity", opt.opacity / 100 );
	
	// Check if the background is an image url (ie http://) or a string (i.e. black) 
	if (opt.background.substring(0, 7) === "http://") { // background is an url image
		// Set the background url
		jQuery('#tab_slide_background').css("background", "url(" + opt.background + ")");
		jQuery('#tab_slide_background').css("background-size: 100%;");
	
	} else { // background is a colour
		// Set the background colour
		jQuery('#tab_slide_background').css("background",  opt.background );
	}
	
	//Tab image settings
	jQuery('#tab_toggle').css('background-image', opt.tab_image);
	jQuery('#tab_toggle').css('background-color', opt.tab_color);
	jQuery('#tab_toggle').css('top', opt.tab_top + '%');

});