var width, json_str, opt, show_on_load;
// JSON Settings
json_str = j_options.j_options.replace(/&quot;/g, '"');
opt = jQuery.parseJSON(json_str);
// BOOLEANIZE show_on_load
show_on_load = opt.show_on_load === "1" ? true : false;

var tkSlides = {
	
	settings : {
		shelfId : 'tab_slide',
		shelfClass : 'tab_slide tab_slide_wrapper',
		showing : show_on_load,
		toggleEl : '#tab_toggle',
		animationSpeed : 800,
		animationEase : 'swing'
	},
	
	init : function () {
		"use strict";
		this.drawShelf();
		this.initResize();
		this.makeItSlide();
		
		var settings, shelfEl, $tk, calc_width;
settings = this.settings;
		shelfEl = '#' + settings.shelfId;
		$tk = jQuery(shelfEl);
		width = $tk.width();
		if (opt.window_unit === '%') {
			calc_width = width * - ( 100 - opt.open_width ) / 100;
		}else if (opt.window_unit === 'px') {
			calc_width = width * - ( 1 - ( opt.open_width / width ));
		}
		if ( show_on_load === true && settings.showing === true ) {
				$tk.css('left', calc_width);
				jQuery(settings.toggleEl).css({
				'margin-right': '0px',	
				'width': '20px'
				});

				setTimeout(function(){
			            $tk.animate({
						left: (width * -1)
						}, settings.animationSpeed, settings.animationEase);
						
						settings.showing = false;
						
			            jQuery(settings.toggleEl).css({
							'margin-right': '-20px',	
							'width': '40px',
							'z-index': 10
						});
			    }, opt.timer * 1000);	
		}
	},

	initResize : function () {
		"use strict";
		// Resize now and bind for future
		tkSlides.resize();
		jQuery(window).resize(function() {
			
			tkSlides.resize();
		});
	},
	
	drawShelf : function () {
		"use strict";
		var tkSlides, settings, shelf;
		tkSlides = this;
		settings = this.settings;
		shelf = jQuery('<div id="' + settings.shelfId + '" class="' + settings.shelfClass + '"></div>')
			.append('<div id="tab_toggle">Toggle Shelf</div>');
		jQuery('body').prepend(shelf);
		
		
	},
	
	makeItSlide : function () {
		"use strict";
		var settings, shelfEl, $tk, calc_width;
		settings = this.settings;
		tkSlides = this;
		shelfEl = '#' + this.settings.shelfId;
		
		$tk = jQuery(shelfEl);
		width = $tk.width();
		jQuery(settings.toggleEl).click(function(){
			if ( settings.showing === true ) {
				$tk.animate({
					left: (width * -1)
				}, settings.animationSpeed, settings.animationEase);
				settings.showing = false;
				jQuery(settings.toggleEl).css({
				'margin-right': '-20px',	
				'width': '40px',
				'z-index': 1
				});
				
			} else if ( settings.showing === false ) {
				if (opt.window_unit === '%') {
					calc_width = width * - ( 100 - opt.open_width ) / 100;
				}else if (opt.window_unit === 'px') {
					calc_width = width * - ( 1 - ( opt.open_width / width ));
				}
				jQuery(settings.toggleEl).css({
				'margin-right': 0,	
				'width': '20px',
				'z-index': 1002
				});
				$tk.animate({
					left: calc_width
				}, settings.animationSpeed, settings.animationEase);
			  settings.showing = true;
			}
		});
	},
	resize : function () {
		"use strict";
		var settings, shelfEl, $tk;
		settings = this.settings;
		shelfEl = '#' + this.settings.shelfId;
		
		// Runs at start and each time the window is rezied
		$tk = jQuery(shelfEl);
		width = $tk.width();
	
		// Only adjust CSS if shelf is not showing
		if ( !settings.showing ){
			$tk.css('left', (width * -1));
		}		
		// Check if element is visible, if not, lets show it	
		if ( ! $tk.is(':visible') ) {
			$tk.show();
		}
	}
}
jQuery(document).ready(function() {
		"use strict";
        tkSlides.init();
});